import actions from "./actions"
import mutations from "./mutations"

const userinfo = uni.getStorageSync('recycle_mobile_user');

const state = {
  username: userinfo ? userinfo.accountBase.accountName : '',
  usercode: userinfo ? userinfo.accountBase.accountCode : '',
  token: uni.getStorageSync('recycle_mobile_token') || '',
  downloadFlag: userinfo ? userinfo.accountBase.downloadFlag : '',

}
export default {
  namespaced: true,
  state,
  mutations,
  actions
}
